[arch-commits] Commit in openssh/repos (5 files)

Eric Belanger eric at archlinux.org
Sun Jul 6 22:58:50 UTC 2008


    Date: Sunday, July 6, 2008 @ 18:58:50
  Author: eric
Revision: 4432

fixing svn - core-i686 has been accidentaly removed from svn

Added:
  openssh/repos/core-i686/
  openssh/repos/core-i686/PKGBUILD
  openssh/repos/core-i686/sshd
  openssh/repos/core-i686/sshd.confd
  openssh/repos/core-i686/sshd.pam

------------+
 PKGBUILD   |   61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 sshd       |   40 ++++++++++++++++++++++++++++++++++++++
 sshd.confd |    4 +++
 sshd.pam   |   10 +++++++++
 4 files changed, 115 insertions(+)

Added: core-i686/PKGBUILD
===================================================================
--- core-i686/PKGBUILD	                        (rev 0)
+++ core-i686/PKGBUILD	2008-07-06 22:58:50 UTC (rev 4432)
@@ -0,0 +1,61 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=openssh
+pkgver=5.0p1
+pkgrel=1
+#_gsskexver=20080404
+pkgdesc='A Secure SHell server/client'
+arch=(i686 x86_64)
+license=('custom')
+url="http://www.openssh.org/portable.html"
+backup=('etc/ssh/ssh_config' 'etc/ssh/sshd_config' 'etc/pam.d/sshd')
+depends=('openssl>=0.9.8g' 'zlib' 'pam' 'tcp_wrappers' 'heimdal')
+source=(ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/$pkgname-$pkgver.tar.gz
+        sshd sshd.confd sshd.pam)
+        #http://www.sxw.org.uk/computing/patches/$pkgname-$pkgver-gsskex-$_gsskexver.patch
+md5sums=('1f1dfaa775f33dd3328169de9bdc292a'
+         'd9ee5e0a0d143689b3d6f11454a2a892'
+         'e2cea70ac13af7e63d40eb04415eacd5'
+         '1c7c2ea8734ec7e3ca58d820634dc73a')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  #patch -up0 < $startdir/src/$pkgname-$pkgver-gsskex-$_gsskexver.patch
+
+  #NOTE we disable-strip so that makepkg can decide whether to strip or not
+  ./configure --prefix=/usr --libexecdir=/usr/lib/ssh \
+    --sysconfdir=/etc/ssh --with-tcp-wrappers --with-privsep-user=nobody \
+    --with-md5-passwords --with-pam --with-mantype=man --mandir=/usr/man \
+    --with-xauth=/usr/bin/xauth --with-kerberos5=/usr --disable-strip
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+
+  #What is this for? Is it needed?
+  mkdir -p $startdir/pkg/var/empty
+
+  install -D -m755 $startdir/src/sshd $startdir/pkg/etc/rc.d/sshd
+
+  install -D -m644 LICENCE $startdir/pkg/usr/share/licenses/$pkgname/LICENCE
+  install -D -m644 $startdir/src/sshd.pam $startdir/pkg/etc/pam.d/sshd
+  install -D -m644 $startdir/src/sshd.confd $startdir/pkg/etc/conf.d/sshd
+
+  rm $startdir/pkg/usr/man/man1/slogin.1
+  ln -sf ssh.1.gz $startdir/pkg/usr/man/man1/slogin.1.gz
+
+  #additional contrib scripts that we like
+  install -D -m755 contrib/findssl.sh $startdir/pkg/usr/bin/findssl.sh
+  install -D -m755 contrib/ssh-copy-id $startdir/pkg/usr/bin/ssh-copy-id
+  install -D -m644 contrib/ssh-copy-id.1  $startdir/pkg/usr/man/man1/ssh-copy-id.1
+
+  #adjust our config files
+  sed -i \
+    -e 's|^#ListenAddress 0.0.0.0|ListenAddress 0.0.0.0|g' \
+    -e 's|^#UsePAM no|UsePAM yes|g' \
+    -e 's|^#ChallengeResponseAuthentication yes|ChallengeResponseAuthentication no|g' \
+    $startdir/pkg/etc/ssh/sshd_config
+  sed -i -e 's|^# Host \*|Host *|g' $startdir/pkg/etc/ssh/ssh_config
+  echo "HashKnownHosts yes" >>  $startdir/pkg/etc/ssh/ssh_config
+  echo "StrictHostKeyChecking ask" >>  $startdir/pkg/etc/ssh/ssh_config
+}

Added: core-i686/sshd
===================================================================
--- core-i686/sshd	                        (rev 0)
+++ core-i686/sshd	2008-07-06 22:58:50 UTC (rev 4432)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/sshd
+
+PID=`cat /var/run/sshd.pid 2>/dev/null`
+case "$1" in
+  start)
+    stat_busy "Starting Secure Shell Daemon"
+    [ -f /etc/ssh/ssh_host_key ] || { /usr/bin/ssh-keygen -t rsa1 -N "" -f /etc/ssh/ssh_host_key >/dev/null; }
+    [ -f /etc/ssh/ssh_host_rsa_key ] || { /usr/bin/ssh-keygen -t rsa -N "" -f /etc/ssh/ssh_host_rsa_key >/dev/null; }
+    [ -f /etc/ssh/ssh_host_dsa_key ] || { /usr/bin/ssh-keygen -t dsa -N "" -f /etc/ssh/ssh_host_dsa_key >/dev/null; }
+    [ -z "$PID" ] && /usr/sbin/sshd $SSHD_ARGS
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon sshd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Secure Shell Daemon"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon sshd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0


Property changes on: openssh/repos/core-i686/sshd
___________________________________________________________________
Name: svn:executable
   + *

Added: core-i686/sshd.confd
===================================================================
--- core-i686/sshd.confd	                        (rev 0)
+++ core-i686/sshd.confd	2008-07-06 22:58:50 UTC (rev 4432)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to sshd
+#
+SSHD_ARGS=""

Added: core-i686/sshd.pam
===================================================================
--- core-i686/sshd.pam	                        (rev 0)
+++ core-i686/sshd.pam	2008-07-06 22:58:50 UTC (rev 4432)
@@ -0,0 +1,10 @@
+#%PAM-1.0
+#auth		required	pam_securetty.so	#Disable remote root
+auth		required	pam_unix.so
+auth		required	pam_nologin.so
+auth		required	pam_env.so
+account		required	pam_unix.so
+account		required	pam_time.so
+password	required	pam_unix.so
+session		required	pam_unix_session.so
+session		required	pam_limits.so





More information about the arch-commits mailing list